petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetOffset

Gets the index offset of the DA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetOffset(DM da,PetscInt *xo,PetscInt *yo,PetscInt *zo,PetscInt *Mo,PetscInt *No,PetscInt *Po)

Not collective

### Input Parameter

da -The DMDA

### Output Parameters

| xo | - The offset in the x direction
| yo | - The offset in the y direction
| zo | - The offset in the z direction
| Mo | - The global size in the x direction
| No | - The global size in the y direction
| Po | - The global size in the z direction

### Keywords

distributed array, degrees of freedom

### See Also

DMDASetOffset(), DMDAVecGetArray()

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages